{
    "class": "Workflow",
    "inputs": [
        {
            "type": {
                "type": "array",
                "items": {
                    "type": "record",
                    "name": "#main/inp/instr",
                    "fields": [
                        {
                            "name": "#main/inp/instr/instr",
                            "type": "string"
                        }
                    ]
                }
            },
            "id": "#main/inp"
        }
    ],
    "requirements": [
        {
            "class": "ScatterFeatureRequirement"
        },
        {
            "class": "StepInputExpressionRequirement"
        }
    ],
    "steps": [
        {
            "in": [
                {
                    "valueFrom": "$(inputs.echo_unused.instr)",
                    "id": "#main/step1/echo_in"
                },
                {
                    "source": "#main/inp",
                    "id": "#main/step1/echo_unused"
                },
                {
                    "source": "#main/inp",
                    "valueFrom": "$(self[0].instr)",
                    "id": "#main/step1/first"
                }
            ],
            "out": [
                "#main/step1/echo_out"
            ],
            "scatter": "#main/step1/echo_unused",
            "run": {
                "class": "CommandLineTool",
                "inputs": [
                    {
                        "type": "string",
                        "inputBinding": {
                            "position": 2
                        },
                        "id": "#main/step1/72c003b7-cb90-40f3-ba0c-e0633863c27b/echo_in"
                    },
                    {
                        "type": "Any",
                        "id": "#main/step1/72c003b7-cb90-40f3-ba0c-e0633863c27b/echo_unused"
                    },
                    {
                        "type": "string",
                        "inputBinding": {
                            "position": 1
                        },
                        "id": "#main/step1/72c003b7-cb90-40f3-ba0c-e0633863c27b/first"
                    }
                ],
                "outputs": [
                    {
                        "type": "string",
                        "outputBinding": {
                            "glob": "step1_out",
                            "loadContents": true,
                            "outputEval": "$(self[0].contents)"
                        },
                        "id": "#main/step1/72c003b7-cb90-40f3-ba0c-e0633863c27b/echo_out"
                    }
                ],
                "baseCommand": "echo",
                "arguments": [
                    "-n",
                    "foo"
                ],
                "stdout": "step1_out",
                "id": "#main/step1/72c003b7-cb90-40f3-ba0c-e0633863c27b"
            },
            "id": "#main/step1"
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": {
                "type": "array",
                "items": "string"
            },
            "outputSource": "#main/step1/echo_out",
            "id": "#main/out"
        }
    ],
    "cwlVersion": "v1.0"
}
